using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbBackup.ViewModel
{
    public class LogInfo
    {
        public LogInfo()
        {
            this.LogTime = DateTime.Now;
        }
        [Display(Name ="日志类型")]
        public EnumLogType LogType { get; set; }

        [Display(Name ="日志时间")]
        public DateTime LogTime { get; set; }

        [Display(Name ="日志内容")]
        public string LogContent { get; set; }
    }
    public enum EnumLogType
    {
        Info,
        Warning,
        Error,
    }
}
